Main Page Widgets Namespaces Book

# Pango::AttrInt Class Reference

A Pango::AttrInt is used to represent an attribute with an integer or enumeration value. More...

Inheritance diagram for Pango::AttrInt:

[legend]
List of all members.

## Public Methods
| AttrInt (const AttrInt& src)
| AttrInt (PangoAttrInt* castitem, bool take_copy=true)
AttrInt& | operator= (const AttrInt& src)
int | get_value () const
| Gets the integer value of the attribute.
void | set_value (const int& value)
| Sets the integer value of the attribute.
PangoAttrInt* | gobj ()
const PangoAttrInt* | gobj () const
## Protected Methods
| AttrInt ()
## Related Functions
(Note that these are not member functions.)
Pango::AttrInt | wrap (PangoAttrInt* object, bool take_copy=false)

## Detailed Description

A Pango::AttrInt is used to represent an attribute with an integer or enumeration value.

## Constructor & Destructor Documentation

Pango::AttrInt::AttrInt | ( |  | ) | `[protected]`

Pango::AttrInt::AttrInt | ( | const AttrInt& | src | ) |

Pango::AttrInt::AttrInt | ( | PangoAttrInt* | castitem,
|  | bool | take_copy = true
| ) | `[explicit]`

## Member Function Documentation

int Pango::AttrInt::get_value | ( |  | ) |

| Gets the integer value of the attribute. Returns: The integer value of the attribute.

const PangoAttrInt* Pango::AttrInt::gobj | ( |  | ) | const`[inline]`

| Reimplemented from Pango::Attribute.

PangoAttrInt* Pango::AttrInt::gobj | ( |  | ) | `[inline]`

| Reimplemented from Pango::Attribute.

AttrInt& Pango::AttrInt::operator= | ( | const AttrInt& | src | ) |

void Pango::AttrInt::set_value | ( | const int& | value | ) |

  | Sets the integer value of the attribute. Parameters:
  value | The new integer value for the attribute.

## Friends And Related Function Documentation

Pango::AttrInt wrap | ( | PangoAttrInt* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- attributes.h